Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.war.action
Class LogEventAction

    java.lang.Object
      org.springframework.webflow.action.AbstractAction
          org.springframework.webflow.action.MultiAction
              org.springframework.webflow.action.FormAction
                  com.jaspersoft.jasperserver.war.action.LogEventAction

All Implemented Interfaces:
  org.springframework.beans.factory.InitializingBean, org.springframework.webflow.execution.Action

    public class LogEventAction

extends org.springframework.webflow.action.FormAction

Nested Class Summary

Nested classes/interfaces inherited from class org.springframework.webflow.action.MultiAction
`org.springframework.webflow.action.MultiAction.MethodResolver`

Field Summary

Fields inherited from class org.springframework.webflow.action.FormAction
`DEFAULT_FORM_OBJECT_NAME, VALIDATOR_METHOD_ATTRIBUTE`

Fields inherited from class org.springframework.webflow.action.AbstractAction
`logger`

Constructor Summary
`LogEventAction()`

Method Summary
`org.springframework.webflow.execution.Event` | `changeEventsType(org.springframework.webflow.execution.RequestContext context)`
`org.springframework.webflow.execution.Event` | `delete(org.springframework.webflow.execution.RequestContext context)`
`org.springframework.webflow.execution.Event` | `getEvents(org.springframework.webflow.execution.RequestContext context)`
`LoggingService` | `getLoggingService()`
`org.springframework.context.MessageSource` | `getMessages()`
`org.springframework.webflow.execution.Event` | `markAsRead(org.springframework.webflow.execution.RequestContext context)`
`org.springframework.webflow.execution.Event` | `markAsUnread(org.springframework.webflow.execution.RequestContext context)`
`void` | `setLoggingService(LoggingService loggingService)`
`void` | `setMessages(org.springframework.context.MessageSource messages)`
`org.springframework.webflow.execution.Event` | `setupViewForm(org.springframework.webflow.execution.RequestContext context)`

Methods inherited from class org.springframework.webflow.action.FormAction
`bind, bindAndValidate, createBinder, createFormObject, doBind, doValidate, getFormErrors, getFormErrorsScope, getFormObject, getFormObjectAccessor, getFormObjectClass, getFormObjectName, getFormObjectScope, getMessageCodesResolver, getPropertyEditorRegistrar, getValidateMethodInvoker, getValidator, initAction, initBinder, registerPropertyEditors, registerPropertyEditors, resetForm, setFormErrorsScope, setFormObjectClass, setFormObjectName, setFormObjectScope, setMessageCodesResolver, setPropertyEditorRegistrar, setupForm, setValidator, validate, validationEnabled`

Methods inherited from class org.springframework.webflow.action.MultiAction
`doExecute, getMethodResolver, setMethodResolver, setTarget`

Methods inherited from class org.springframework.webflow.action.AbstractAction
`afterPropertiesSet, doPostExecute, doPreExecute, error, error, execute, getActionNameForLogging, getEventFactorySupport, no, result, result, result, result, success, success, yes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.springframework.beans.factory.InitializingBean
`afterPropertiesSet`

Constructor Detail

### LogEventAction

    public LogEventAction()

Method Detail

### getLoggingService

    public LoggingService getLoggingService()

### setLoggingService

    public void setLoggingService(LoggingService loggingService)

### getMessages

    public org.springframework.context.MessageSource getMessages()

### setMessages

    public void setMessages(org.springframework.context.MessageSource messages)

### getEvents

    public org.springframework.webflow.execution.Event getEvents(org.springframework.webflow.execution.RequestContext context)
                                                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### changeEventsType

    public org.springframework.webflow.execution.Event changeEventsType(org.springframework.webflow.execution.RequestContext context)
                                                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### delete

    public org.springframework.webflow.execution.Event delete(org.springframework.webflow.execution.RequestContext context)
                                                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### markAsRead

    public org.springframework.webflow.execution.Event markAsRead(org.springframework.webflow.execution.RequestContext context)
                                                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### markAsUnread

    public org.springframework.webflow.execution.Event markAsUnread(org.springframework.webflow.execution.RequestContext context)
                                                             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### setupViewForm

    public org.springframework.webflow.execution.Event setupViewForm(org.springframework.webflow.execution.RequestContext context)
                                                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.